# Asound.conf START

pcm.card0 {
    type hw
    card 0
}
pcm.dmix0 {
    type dmix 
    ipc_key 34521 
    slave {
        pcm "card0"
        period_time 0
        period_size 1024
        buffer_size 4096
        rate        44100
    }
}
pcm.dsnoop0 {
    type dsnoop 
    ipc_key 34522
    slave {
        pcm "card0" 
    }
}
pcm.asym0 {
    type asym 
    playback.pcm "dmix0" 
    capture.pcm "dsnoop0"
}
pcm.pasym0 {
    type plug 
    slave.pcm "asym0"
}
pcm.dsp0 {
    type plug
    slave.pcm "asym0"
}
ctl.dsp0 {
    type hw
    card 0
}
pcm.!default {
    type plug
    slave.pcm "asym0"
}
ctl.!default {
    type hw
    card 0
}


# Asound.conf END

